Get a sample run
GET
/v1/data-formats/{formatId}/sample-runs/{sampleRunId}curl -X GET 'https://api.embodiflow.io/v1/data-formats/{formatId}/sample-runs/{sampleRunId}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- formatIdstring必填
- sampleRunIdstring必填
响应
Success
- dataobject必填
- idstring必填
- formatIdstring必填
- recordingIdstring必填
- workflowRunIdstring必填
- statestring必填可选值queuedrunningfailedpassed
- converterone of必填
- reportobject必填
- createdAtstring必填
响应示例
{
"data": {
"id": "string",
"formatId": "string",
"recordingId": "string",
"workflowRunId": "string",
"state": "queued",
"converter": {
"kind": "rig_profile",
"rigProfileRevisionId": "string"
},
"report": {
"verdict": "fail",
"episodes": 0,
"frames": 0,
"features": [
"string"
],
"droppedTopics": [
"string"
],
"rules": [
{
"id": "string",
"verdict": "string",
"message": "string"
}
],
"errorCode": "string"
},
"createdAt": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1